gnu.io

## Class PortInUseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - gnu.io.PortInUseException

All Implemented Interfaces:
  java.io.Serializable

    public class PortInUseException
    extends java.lang.Exception

The port requested is currently in use

Since:
  JDK1.0
See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `currentOwner` the owner of the port requested.

### Constructor Summary

Constructors
Constructor and Description
`PortInUseException()`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### currentOwner

    public java.lang.String currentOwner

the owner of the port requested.

### Constructor Detail

#### PortInUseException

    public PortInUseException()